---
layout: markdown_page
title: "Category Direction - Authorization and Authentication"
description: "Authentication and authorization are critical, foundational elements to keeping resources secure but accessible. Learn more here!"
canonical_path: "/direction/manage/auth/"
---

- TOC
{:toc}

| Category | **Authorization and Authentication** |
| --- | --- |
| Stage | [Manage](https://about.gitlab.com/handbook/product/categories/#manage-stage) |
| Group | [Access](https://about.gitlab.com/handbook/product/categories/#access-group) |
| Maturity | [Complete](/direction/maturity/) |
| Content Last Reviewed | `2021-09-29` |


<%= partial("direction/manage/auth/templates/intro") %>

## Overview

<%= partial("direction/manage/auth/templates/overview") %>

### Target audience and experience

<%= partial("direction/manage/auth/templates/target") %>

## Where we are Headed

We're currently focused on broader and deeper support for identity management and authentication strategies. Our objective is to allow users to quickly join GitLab with the right level of access, and building support for large organizations to quickly onboard and offboard users is essential.

For large organizations, we also need to make sure that users are armed with the right level of access. GitLab's role-based access control has served small teams well - and fits with a permissions model where anyone can contribute - but makes it challenging for large, security-minded organizations to build the level of granular controls and variation they need.

### What's Next and Why

<%= partial("direction/manage/auth/templates/next") %>

## Maturity Plan

<%= partial("direction/manage/auth/templates/maturity") %>

### Top Vision Item(s)

<%= partial("direction/manage/auth/templates/vision") %>
